<?xml version="1.0" encoding="UTF-8"?>
<cfsdat xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
 xmlns="http://www.cfs++.org/simulation">
  <pipeline>
    <stepValueDefinition>
      <startStop>
        <startStep value="0"/>
        <numSteps value="10"/>
        <startTime value="837.22"/>
        <delta  value="1"/>
        <deleteOffset value="no"/>
      </startStop>
    </stepValueDefinition>


    <meshInput id="input1" gridType="fullGrid">   <!-- id = name of this filter -> the loaded data will be set with the name "input1"-->
      <inputFile>
        <ensight fileName="cfd/solution_EnSight/CELL_DATA_3D_EnSight.encas">
          <variableList>
            <variable CFSVarName="fluidMechPressure" EnsightVarName="pressure"/> <!-- (for scalars)... pressure = name from the encas-file -->
            <!--variable CFSVarName="fluidMechVelocity" EnsightVarName="velocity"/-->  <!-- (for vectors)... velocity = name from the encas-file -->
          </variableList>
        </ensight>
      </inputFile>
    </meshInput>


    <interpolation type="FieldInterpolation_Cell2Node" id="interp1" inputFilterIds="input1">
      <targetMesh>
        <hdf5 fileName="mesh/mesh_hexa.h5"/>
      </targetMesh>
      <singleResult>
        <inputQuantity resultName="fluidMechPressure"/>
        <outputQuantity resultName="acouRhsLoad"/>  <!-- can be used for a velocity field aswell -->
      </singleResult>
      <regions>
        <sourceRegions>
          <region name="fluid-1" />
        </sourceRegions>
        <targetRegions>
          <region name="Volume"/>
          <!-- interploation on surface-->
          <region name="Inlet"/>
          <region name="Outlet"/>
          <region name="Wall"/> 
        </targetRegions>
      </regions>
    </interpolation>
    
    
    <meshOutput id="cell2Node_3D_Ensight" inputFilterIds="interp1">
      <outputFile>
        <hdf5 extension="h5" compressionLevel="1" externalFiles="no"/>
      </outputFile>
      <saveResults>
        <result resultName="acouRhsLoad">
          <allRegions/>
        </result>
      </saveResults>
    </meshOutput>
  </pipeline>
</cfsdat>


